• English
  • Query Biller

    Request Path

    [POST] /api/v2/bill-payment/biller/query

    Parameter List

    NameTypeLengthRequiredDescription
    sceneCodeString-YesBusiness scenario code【see detailed scenario codes】

    Return Values

    NameTypeLengthRequiredDescription
    billerIdString32YesOperator ID
    billerNameString32YesOperator Name
    billerIconString200YesOperator Icon
    minAmountLong-NoMinimum recharge amount for operator
    maxAmountLong-NoMaximum recharge amount for operator
    statusInteger-NoStatus: 0 - Unavailable, 1 - Available

    Postman Request Example

    request

    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/bill-payment/biller/query' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'CountryCode: NG' \
    --header 'Authorization: Bearer 10241024' \
    --header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
    --header 'Content-Type: application/json' \
    --data '{"requestTime":1713924173005,"nonceStr":"iWiRXn6ecx3ERxieekjTeBmXsRRE6D5E","version":"V2","sceneCode":"airtime"}'

    response

    {
      "respCode": "00000000",
      "respMsg": "success",
      "data": [
        {
          "billerId": "MTN",
          "billerName": "MTN",
          "billerIcon": "https:/xxx/MTN.png",
          "minAmount": 100,
          "maxAmount": 100000,
          "status": 1
        }
      ],
      "status": true
    }

    Common Error Codes

    Please refer to the document

    Business Error Codes

    Error CodeError DescriptionSolution
    SBP.INVALID_PARAMETERInvalid parameterCheck the request parameters and resend after making corrections
    SBP.INVALID_SCENE_CODEInvalid scenario codeCheck the scenario code and resend after making corrections